//--------------------------------------------------------------------------
//
//                     XMM Science Analysis System (SAS)
//                    (c) 1997-2010 European Space Agency
//
//--------------------------------------------------------------------------
//
//	StandardPointInPolyTest.h:	--- simple point-in-polygon test
//
//	DESCRIPTION:
//		This file contains prototypes of functions for testing whether a
//		point is inside a given closed polygon.
//
//	CHANGE HISTORY:
//		UL, 1998-01-05: 1.0.0: - first version
//		UL, 1999-01-29: 1.1.0: - redundant data member in GeoPoint removed
//
//	AUTHOR:
//		U. Lammers (UL), Wed Aug 27 11:48:12 MET DST 1997
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/selectlib/src/utils/StandardPolygon.h,v 1.1 2001/08/07 14:06:52 ulammers Exp $
//

#ifndef STANDARD_POINT_IN_POLY_TEST_H
#define STANDARD_POINT_IN_POLY_TEST_H

typedef struct { double x; double y; } GeoPoint;
typedef struct { GeoPoint p1; GeoPoint p2; } GeoLine;

namespace StandardPolygon {
//
//	test whether a point lies in a polygon
//
bool insidePolygon(const GeoPoint &p, GeoPoint pl[], unsigned N);

} // insidePolygon()

#endif







