//
//	test GeoRegion class
//
#include <iostream>

#include "Region.h"
#include "common.h"

int main() {
	const double L = 1.,
				 R = .2;
	const unsigned N = 300;

	//	construct modified Venn diagramm: two included overlapping circles;
	//	core excised and another excluded circle
	Component cinc;
	cinc.push_back(new FCircle(FPoint(.5*L-.9*R, .5*L+.9*R), R));
	cinc.push_back(new FCircle(FPoint(.5*L+.9*R, .5*L+.9*R), R));

	Component cexc;
	cexc.push_back(new FCircle(FPoint(.5*L, .5*L+.9*R), .2*R));
	cexc.push_back(new FCircle(FPoint(.5*L, .5*L-.7*R), R));
	cexc.exclude();

	GeoRegion r;
	r.push_back(cinc);
	r.push_back(cexc);

	std::cerr<<r.toSelectExpression("X", "Y")<<std::endl;
	for (unsigned xi=0; xi<N; ++xi)
		for (unsigned yi=0; yi<N; ++yi) {
			double x = L/DBL(N)*DBL(xi),
				   y = L/DBL(N)*DBL(yi);
			if (r.contains(FPoint(x, y)))
				std::cout<<x<<' '<<y<<std::endl;
		}
}
