//
//	gtitest: test some GTI related functionality
//
//	UL, Tue Jan 29 14:53:08 MET 2002
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/selectlib/test/gtitest.cc,v 1.3 2002/12/17 17:48:12 jbakker Exp $
//
#include <cassert>
#include <string>
#include <iostream>
#include "SelectUtils.h"

using namespace std;

int main()
{
	GtiList l1;
	l1.push_back(Gti(0., 2.));
	OutOGIPgtiTable out1("gti1.ds");
	out1<<l1;

	GtiList l2;
	l2.push_back(Gti(1.5, 3.));
	{
		OutOGIPgtiTable out2("gti2.ds");
		out2<<l2;
	}
	//	modify MJDREF to see if attribute merging does the right thing
	Table *tab = dataSetServer->open("gti2.ds", Dal::Modify)->table(0);
	*tab->attribute("MJDREF") = 0.;
	*tab->attribute("TIMEZERO") = 0.;
	*tab->attribute("TIMESYS") = "UTC";
	*tab->attribute("CLOCKAPP") = false;
	dataSetServer->close(tab->parent());

	InOGIPgtiTable in1("gti1.ds");
	GtiList li1; in1>>li1;
	InOGIPgtiTable in2("gti2.ds");
	GtiList li2; in2>>li2;

	GtiList l3 = li1 & li2;
	assert(l3.size() == 1 && l3[0].start() == 1.5 && l3[0].stop() == 2.);
	OutOGIPgtiTable out("gti3.ds");
	out<<l3;

	std::cout<<"All test successfully passed\n";
	return 0;
}

