//
//	polygontest: check correctness of TriangulatablePolygon class
//
//	UL, Fri Aug  3 14:56:07 MET DST 2001
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/selectlib/test/polytest.cc,v 1.2 2002/12/17 17:48:12 jbakker Exp $
//
#include <cassert>
#include <string>
#include <vector>
#include <iostream>
#include "common.h"
#include "Random.h"
#include "TriangulatablePolygon.h"

int main()
{
	std::vector<double> xCoords,
						yCoords;

	std::cout<<"Enter corner points ended by -1/-1:"<<std::endl;
	double x, y;
	std::cin>>x; std::cin>>y;
	while (x!=-1.) {
		xCoords.push_back(x);
		yCoords.push_back(y);
		std::cin>>x; std::cin>>y;		
	}

	TriangulatablePolygon poly(xCoords, yCoords);
	const PointList<double> &vert = poly.vertices();
	for (unsigned n=0; n<vert.size(); ++n)
		std::cout<<vert[n].x()<<' '<<vert[n].y()<<std::endl;

	std::cout<<"Enter test point coordinates:"<<std::endl;
	while (std::cin) {
		std::cin>>x; std::cin>>y;
		std::cerr<<x<<'/'<<y<<" is ";
		bool res = poly.contains(Point<double>(x, y));
		if (res)
			std::cerr<<"in";
		else
			std::cerr<<"out";
		std::cerr<<std::endl;
	}

	return 0;
} // main()
