//
//	polygontest: check correctness of TriangulatablePolygon class
//
//	UL, Fri Aug  3 14:56:07 MET DST 2001
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/selectlib/test/randpolytest.cc,v 1.2 2002/03/18 18:14:45 ulammers Exp $
//
#include <cassert>
#include <string>
#include <vector>
#include <iostream>
#include "common.h"
#include "Random.h"
#include "TriangulatablePolygon.h"

int main()
{
	std::vector<double> xCoords,
						yCoords;

	randGen.max(100.);
	const unsigned N = 400;
	for (unsigned n=0; n<N; ++n) {
		xCoords.push_back(randGen.rand());
		yCoords.push_back(randGen.rand());
	}

	TriangulatablePolygon poly(xCoords, yCoords, true);
	const PointList<double> &vert = poly.vertices();
	for (unsigned n=0; n<N; ++n)
		std::cout<<vert[n].x()<<' '<<vert[n].y()<<std::endl;

	std::cout<<'&'<<std::endl;
	randGen.max(100.);
	for (unsigned n=0; n<10000; ++n) {
		double x = randGen.rand(),
			   y = randGen.rand();
		std::cerr<<x<<'/'<<y<<" is ";
		bool res = poly.contains(Point<double>(x, y));
		if (res)
			std::cerr<<"in";
		else
			std::cerr<<"out";
		std::cerr<<std::endl;
		if (res)
			std::cout<<x<<' '<<y<<std::endl;
	}

	return 0;
} // main()
